Skip to main content
Resource Center/Hardware/SAN Storage Operations/FC Storage Operations

GetScsiLunCandidatesForAttachingVm

GetScsiLunCandidatesForAttachingVm

GET/zstack/v1/vm-instances/{vmInstanceUuid}/candidate-storage-devices

Operation ID

GetScsiLunCandidatesForAttachingVm

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • name
      StringRequired

      The resource UUID.

    • uuid
      StringRequired

      The resource UUID.

    • wwid
      StringRequired

      The disk WWID.

    • vendor
      StringRequired

      The disk vendor.

    • model
      StringRequired

      The disk model.

    • wwn
      StringRequired

      The disk WWN.

    • serial
      StringRequired

      The disk serial No.

    • type
      StringRequired

      The disk type.

    • path
      StringRequired

      The disk path.

    • state
      StringRequired

      The disk state.

    • size
      LongRequired

      The disk size.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • scsiLunHostRefs
      ListRequired

      See scsiLunHostRefs.

      • scsiLunUuid
        StringRequired

        The SCSI LUN UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • scsiLunVmInstanceRefs
      ListRequired

      See scsiLunVmInstanceRefs.

      • scsiLunUuid
        StringRequired

        The SCSI LUN UUID.

      • vmInstanceUuid
        StringRequired

        The VM instance UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.